#include <iostream>

using namespace std;

int main()
{
    long long int n, k, i;
    long long int niz[20001];
    cin >> n;
    cin >> k;
    for(i=0;i<n;i++)
    {
        cin >> niz[i];
    }
    if(niz[n-1]==k)
    {
        cout << niz[0] << endl;
    }
    else
    {
        for(i=0;i<n-1;i++)
        {
            if(niz[i]==k)
            {
                cout << niz[i+1] << endl;
                break;
            }
        }
    }
}